Bug 85321 - Show all characters including invisible (i.e. AltGr+space)
Summary: Show all characters including invisible (i.e. AltGr+space)
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-16 12:23 UTC by Rune Schjellerup
Modified: 2013-12-31 12:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rune Schjellerup 2004-07-16 12:23:18 UTC
Version:           3.0.4 (using KDE 3.2.2, Gentoo)
Compiler:          gcc version 3.3.3 20040412 (Gentoo Linux 3.3.3-r6, ssp-3.3.2-2, pie-8.7.6)
OS:                Linux (i686) release 2.6.7-gentoo-r7

When programming php on a dk keyboard you have to press AltGr+4 to write '$' a lot of times. This results in the problem that it's easy to press AltGr+space once in a while. AltGr+space looks like a normal space but the php parser complains and your code doesn't work.
Since you can't see the weird space (unless you find a font that displays it differently i guess) you have to rewrite the entire line to correct the problem.

This could be solved with an option to make all characters visible, as with Open Office's 'Nonprinting characters' option.
Comment 1 Michal Humpula 2013-12-31 12:20:37 UTC
Git commit 65d0c80eea6db8df936bd522d0b3d361a524559c by Michal Humpula.
Committed on 31/12/2013 at 12:19.
Pushed by michalhumpula into branch 'frameworks'.

add menu action to display non-printable spaces
Related: bug 237821, bug 312192

M  +1    -0    part/data/katepartui.rc
M  +50   -0    part/render/katerenderer.cpp
M  +16   -0    part/render/katerenderer.h
M  +11   -0    part/view/kateview.cpp
M  +2    -0    part/view/kateview.h

http://commits.kde.org/kate/65d0c80eea6db8df936bd522d0b3d361a524559c